Subject: RE: RDN

From: Alan Lloyd <[email-masked]>
Date: Wed, 27 Jan 1999 10:38:39 +1100

Its to enable a name to have the flexibility in becoming distingushed by
having a range of attribute types applied to it eg. Common Name + Unique
Identifier
eg. Under Engine Parts we could have entries with names like 
Cam Sprocket  +  12345
Cam Sprocket + 133355

This approach can be used for a pile of John Smiths as well. ie Common
Name + DN Qualifer

Rigid Name syntax with single values  that are enforced into technology
just means that flexibility for directory applications in the real world
could be lost.

hope this helps and regards alan

> -----Original Message-----
> From:	Krylov Pavel 
> Sent:	Tuesday, January 26, 1999 7:23 PM
> To:	[email-masked]
> Subject:	RDN
> 
> Hi all,
> I'm sorry if I repeat someone's question, but I don't understand what
> logic is applied to multi-valued RDN ( RelativeDistinguishedName ).
> ( In X.500 there are contexts for each value in one RDN or nothing
> for main value in RDN ).
> 
> 	Q1. Are there any senses in this variety? and what?
> 	Q2. What logic is applied to compare such RDNs?
> 
> 	RelativeDistinguishedName ::=
>      		SET OF AttributeTypeAndValue
> 
> 	AttributeTypeAndValue ::= SEQUENCE {
>      		type     AttributeType,
>      		value    AttributeValue }
> 
> Thanks a lot.
> ___________________________________________
> Krylov Pavel	[email-masked]